<?php
if ( !defined( 'ABSPATH' ) ) exit;
?>
<div>
    <p style="text-align: justify;"><?php echo __('Insert the content:','form-to-pdf');?> <code>[form-to-pdf <em>&lsaquo;form="definition_file_name"&rsaquo;</em>]</code></p>
    <p style="text-align: justify;"><?php echo __('Or full settings:','form-to-pdf');?> <code>[form-to-pdf <em>&lsaquo;form="definition_file_name"&rsaquo;</em> <em>&lsaquo;template="template_folder_name"&rsaquo;</em> <em>&lsaquo;save_data="0|1"&rsaquo;</em> <em>&lsaquo;show_pdf="0|1"&rsaquo;</em> <em>&lsaquo;send_admin="0|1"&rsaquo;</em> <em>&lsaquo;access=""&rsaquo;</em>]</code></p>
    <p>
        <h4><?php echo __('Use variables', 'form-to-pdf');?></h4>
        <table cellpadding="4">
            <tr>
                <td valign="top"><code>&lsaquo;form="definition_file_name"&rsaquo;</code></td>
                <td>
                    <span style="color: #DD0000;"><?php echo __('Required','form-to-pdf');?></span>&nbsp;
                    <?php echo __('Form file name in forms folder. <em>(Without extension!)</em>','form-to-pdf');?>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>&lsaquo;template="template_folder_name"&rsaquo;</code></td>
                <td>
                    <?php echo __('Use template folder name.','form-to-pdf');?><br />
                    <?php echo __('Default templates or active theme parent "form-to-pdf/templates" folder.','form-to-pdf');?><br />
                    <em><?php echo __('If it exists, it will overwrite the global setting.','form-to-pdf');?></em>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>&lsaquo;access=""&rsaquo;</code></td>
                <td>
                    <?php echo __('Choose who can fill out the form.','form-to-pdf');?>:&nbsp; 
                    everyone&nbsp;|&nbsp;guest&nbsp;|&nbsp;registered&nbsp;|&nbsp;administrator<br />
                    <em><?php echo __('Default','form-to-pdf');?>: everyone</em>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>&lsaquo;save_data="0|1"&rsaquo;</code></td>
                <td>
                    <?php echo __('If <code>1</code>, the form data is saved to a database and can be downloaded later in Excel.','form-to-pdf');?><br />
                    <em><?php echo __('If it exists, it will overwrite the global setting.','form-to-pdf');?></em>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>&lsaquo;save_pdf="0|1"&rsaquo;</code></td>
                <td>
                    <?php echo __('If <code>1</code>, it save the PDF into the /wp-content/uploads/form-to-pdf folder.','form-to-pdf');?><br />
                    <em><?php echo __('If it exists, it will overwrite the global setting.','form-to-pdf');?></em>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>&lsaquo;show_pdf="0|1"&rsaquo;</code></td>
                <td>
                    <?php echo __('If <code>1</code>, it loads the PDF into the user\'s browser.','form-to-pdf');?><br />
                    <em><?php echo __('If it exists, it will overwrite the global setting.','form-to-pdf');?></em>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>&lsaquo;send_admin="0|1"&rsaquo;</code></td>
                <td>
                    <?php echo __('If <code>1</code>, it will send an email to the administrators about the completion.','form-to-pdf');?><br />
                    <em><?php echo __('If it exists, it will overwrite the global setting.','form-to-pdf');?></em>
                </td>
            </tr>
        </table>
    </p>
    <p>
        <h4><?php echo __('Required files', 'form-to-pdf');?></h4>
        <table cellpadding="4">
            <tr>
                <td valign="top"><code>definition_file_name</code>.html</td>
                <td valign="top"><?php echo __('Browser view form definition file. <em>(HTML format)</em>','form-to-pdf');?></td>
            </tr>
            <tr>
                <td valign="top"><code>definition_file_name</code>.email.html</td>
                <td valign="top">
                    <?php echo __('Email template file. <em>(HTML format)</em>','form-to-pdf');?><br />
                    <?php echo __('Not required. If not found, then auto generate.','form-to-pdf');?>
                </td>
            </tr>
            <tr>
                <td valign="top"><code>definition_file_name</code>.pdf.html</td>
                <td valign="top"><?php echo __('PDF genaration definition file. <em>(HTML format)</em>','form-to-pdf');?></td>
            </tr>
        </table>
    
    </p>
</div>
