function add_robot_filter_block(token) {
    
    var html = render_robot_filter_block();
    button = jQuery('#form_to_pdf_submit_'+token);
    button.before(html);
}

function robot_filter_get_values(data) {
    data.mode  = 'fruit';
    data.name  = jQuery('#form-to-pdf-'+data.token).find('.robot-container-info:first').find('strong:first').html();
    data.fruit = jQuery('#form-to-pdf-'+data.token).find('input[name="fruit"]:checked').val();
    return data;
}

function render_robot_filter_block() {
    var ID = Math.floor(Math.random() * fruits.length);
    
    var now_fruits = []; 
    now_fruits.push(ID);
    var next = 0;
    do {
        next = Math.floor(Math.random() * fruits.length);
        if (!robot_filter_inArray(next, now_fruits)) {
            now_fruits.push(next);
        }
    } while (now_fruits.length <= 5);      
    robot_filter_shuffle(now_fruits);
    
    var html = '<h5 style="text-align:left;">'+filter_title+'</h5>' +
               '<div class="robot-container">' + 
               '<div class="robot-container-info">'+filter_text+'&nbsp;<strong>'+fruits[ID]+'</strong></div>';

    for (i = 0; i < now_fruits.length; i++) { 
        html += '<div class="robot-container-fruit">' +
                '<img src="'+fruits_url+now_fruits[i]+'.jpg" onclick="jQuery(this).closest(\'.robot-container-fruit\').find(\'input[type=radio]\').prop(\'checked\', true);" style="width:100%;" />'+
                '<input type="radio" class="no-save" name="fruit" value="'+(now_fruits[i]+1)+'" required />'+
                '</div>';
    }
    html += '</div>';
    
    return html;
}

function robot_filter_shuffle(array) {
    var counter = array.length;
    // While there are elements in the array
    while (counter > 0) {
        // Pick a random index
        var index = Math.floor(Math.random() * counter);
        // Decrease counter by 1
        counter--;
        // And swap the last element with it
        var temp = array[counter];
        array[counter] = array[index];
        array[index] = temp;
    }
    return array;
}


function robot_filter_inArray(needle, haystack) {
    var length = haystack.length;
    for(var i = 0; i < length; i++) {
        if(typeof haystack[i] == 'object') {
            if(arrayCompare(haystack[i], needle)) {return true;}
        } else {
            if(haystack[i] == needle) {return true;}
        }
    }
    return false;
}    
