<?php

require_once( dirname(__file__) .DIRECTORY_SEPARATOR. 'input.php');

class JInput_form_to_pdf_891_list extends form_to_pdf_891_JInput
{
    public function __construct($sets, $input, $variables)
    {
        parent::__construct($sets, $input, $variables);
        
        $this->type = 'list';

        if (isset($sets['values'])) {
            $this->sets['values'] = $sets['values']; 
        }
    }

    public function renderHTML()
    {

        $html = parent::renderHTML();

        $options = array();
        if (isset($this->sets['values'])) {
            $values = explode('|', $this->sets['values']);
            foreach ($values as $value) {
                $tmp = explode(':', $value);
                if (count($tmp) > 1 ) {
                    $options[$tmp[0]] = $tmp[1];
                } else {
                    $options[$tmp[0]] = $tmp[0];
                }
            }
            
            $optionsHTML = '';
            foreach ($options as $key => $value) {
                if ($this->sets['value'] == $key) {
                    $checked = 'SELECTED';
                } else {
                    $checked = '';
                }
    
                $optionsHTML .= '<option value="'.$key.'" '.$checked.'>' . $value . '</option>' . "\r\n";
            }
            
        }

        $html = str_replace('[OPTIONS]', $optionsHTML, $html);
        
        return $html;
        
    }

}

?>