<?php
require_once( dirname(__file__) .DIRECTORY_SEPARATOR. 'input.php');

class JInput_form_to_pdf_891_mask extends form_to_pdf_891_JInput
{
    public function __construct($sets, $input, $variables)
    {
        parent::__construct($sets, $input, $variables);
        
        $this->type = 'mask';
        
        if (!isset($this->sets['icon'])) {
            $this->sets['icon'] = 'fa fa-magic';
        }

        if (isset($sets['mask'])) {
            $this->sets['mask'] = 'data-mask="'.$sets['mask'].'"';
        }

    }
    function getScripts()
    {
    	// See: https://github.com/digitalBush/jquery.maskedinput
        wp_register_script('form-to-pdf-mask', plugins_url( 'form-to-pdf/assets/js/jquery.maskedinput.js' ), array('jquery'), false, true);
    	wp_enqueue_script( 'form-to-pdf-mask');
        return true;
    }
    
    public function renderHTML()
    {
        $html = parent::renderHTML();
        
        $html = str_replace('[MASK]', $this->sets['mask'], $html);
        
        return $html;
    }

}

?>