<?php

    function form_to_pdf_891_getAlias($text)
    {
        $str = trim(mb_strtolower($text, 'UTF-8'));
    
        $accented = array( "á", "é", "í", "ó", "ö", "ő", "ú", "ü", "ű" );  
        $mask     = array( "a", "e", "i", "o", "o", "o", "u", "u", "u" );  
        $str = str_replace( $accented, $mask, $str );  
    
        $str = str_replace('-', ' ', $str);
        $str = preg_replace(array('/\s+/','/[^A-Za-z0-9\-]/'), array('-',''), $str);
        
        return $str;
    }

    function form_to_pdf_891_get_Host($ip)
    {
        $host = gethostbyaddr($ip);
        if ($host == $ip) {
            if (substr($host, 0, 7) == '192.168') {
                $host = __('Local network', 'form-to-pdf');
            } else {
                $host = __('Unknown host', 'form-to-pdf');
            }
        }
        return $host;
    }

    function form_to_pdf_891_get_IP_address()
    {
        foreach (array('HTTP_CLIENT_IP',
                       'HTTP_X_FORWARDED_FOR',
                       'HTTP_X_FORWARDED',
                       'HTTP_X_CLUSTER_CLIENT_IP',
                       'HTTP_FORWARDED_FOR',
                       'HTTP_FORWARDED',
                       'REMOTE_ADDR') as $key){
            if (array_key_exists($key, $_SERVER) === true){
                foreach (explode(',', $_SERVER[$key]) as $IPaddress){
                    $IPaddress = trim($IPaddress); // Just to be safe
                    if (filter_var($IPaddress,
                                   FILTER_VALIDATE_IP,
                                   FILTER_FLAG_NO_PRIV_RANGE | FILTER_FLAG_NO_RES_RANGE)
                        !== false) {
    
                        return $IPaddress;
                    }
                }
                return $IPaddress;
            }
        }
    }


?>