<?php

require_once( dirname(__file__) .DIRECTORY_SEPARATOR. 'input.php');

class JInput_form_to_pdf_891_number extends form_to_pdf_891_JInput
{

    public function __construct($sets, $input, $variables)
    {
        parent::__construct($sets, $input, $variables);
        
        $this->type = 'number';
        
        $this->sets['dec'] = 'dec=""';
        if (isset($sets['dec'])) {
            $this->sets['dec'] = 'dec="'.$sets['dec'].'"';
        }
        $this->sets['sep'] = 'sep=""';
        if (isset($sets['sep'])) {
            $this->sets['sep'] = 'sep="'.$sets['sep'].'"';
        }

    }

    public function renderHTML()
    {

        $html = parent::renderHTML();
        
        $icon = '';
        
        $iconHTML = $this->getTemplate('icon');
        if ((isset($this->sets['icon'])) and ($this->sets['icon'] != '')) {
            $icon = str_replace('[ICON]', $this->getIcon(), $iconHTML);
        } else {
            if (!isset($this->sets['icon'])) {
                $icon = str_replace('[ICON]', '<span class="form-to-pdf-number">9</span>', $iconHTML);
            }
        }
        $html = str_replace('[NUMBER_ICON]', $icon, $html);
        $html = str_replace('[DEC]', $this->sets['dec'], $html);
        $html = str_replace('[SEP]', $this->sets['sep'], $html);
        $event = 'onkeyup="form_to_pdf_891_checkNumberFormat(\''.$this->sets['id'].'\');"';
        $html = str_replace('[EVENT]', $event, $html);
        
        return $html;
        
    }
}

?>